--- tv_pg_gridfcns.erl_orig	2009-03-12 14:23:29.000000000 +0200
+++ tv_pg_gridfcns.erl	2009-10-22 16:59:44.000000000 +0300
@@ -205,8 +205,8 @@
 	check_nof_cols(ColsShown, (NofColsShown - NofCols), ColFrameIds, ColIds, 
 		       RowIds, NofRows, RowHeight, FgColor, BgColor ),
 
-    clear_fields(lists:nthtail(NofColsShown, NewColIds), 
-		 lists:nthtail(NofRowsShown, NewRowIds)),
+    clear_fields(nthtail(NofColsShown, NewColIds), 
+		 nthtail(NofRowsShown, NewRowIds)),
 
     RowsToUpdate = lists:sublist(NewRowIds, NofRowsShown),
 
@@ -1376,6 +1376,23 @@
 %%======================================================================
 
 
+nthtail(Number, List) when Number > length(List) ->
+    [];
+nthtail(Number, List) ->
+    lists:nthtail(Number, List).
+
+
+%%======================================================================
+%% Function:      
+%%
+%% Return Value:  
+%%
+%% Description:   
+%%
+%% Parameters:    
+%%======================================================================
+
+
 clear_fields(ColIds, RowIds) ->
     clear_cols_or_rows(ColIds),
     clear_cols_or_rows(RowIds).
